var gislib =
[
    [ "Introduction", "gislib.html#gislibintro", [
      [ "Library Initialization", "gislib.html#init", null ],
      [ "Diagnostic Messages", "gislib.html#diag", null ],
      [ "Environment and Database Information", "gislib.html#envir", null ],
      [ "Fundamental Database Access Routines", "gislib.html#dbaseaccess", null ],
      [ "Prompting for Database Files", "gislib.html#prompt", null ],
      [ "Fully Qualified File Names", "gislib.html#Fully_Qualified_File_Names", null ],
      [ "Finding Files in the Database", "gislib.html#finding", null ],
      [ "Legal File Names", "gislib.html#Legal_File_Names", null ],
      [ "Opening an Existing Database File for Reading", "gislib.html#Opening_an_Existing_Database_File_for_Reading", null ],
      [ "Opening an Existing Database File for Update", "gislib.html#Opening_an_Existing_Database_File_for_Update", null ],
      [ "Creating and Opening a New Database File", "gislib.html#Creating_and_Opening_a_New_Database_File", null ],
      [ "Database File Management", "gislib.html#Database_File_Management", null ],
      [ "Memory Allocation", "gislib.html#Memory_Allocation", null ],
      [ "The Region", "gislib.html#The_Region", null ],
      [ "The Database Region", "gislib.html#The_Database_Region", null ],
      [ "The Active Module Region", "gislib.html#The_Active_Module_Region", null ],
      [ "Projection Information", "gislib.html#Projection_Information", null ],
      [ "Latitude-Longitude Databases", "gislib.html#Latitude_Longitude_Databases", null ],
      [ "Coordinates", "gislib.html#Coordinates", null ],
      [ "Raster Area Calculations", "gislib.html#Raster_Area_Calculations", null ],
      [ "Polygonal Area Calculations", "gislib.html#Polygonal_Area_Calculations", null ],
      [ "Calculations Distance Calculations", "gislib.html#Distance", null ],
      [ "Global Wraparound", "gislib.html#Global_Wraparound", null ],
      [ "Miscellaneous", "gislib.html#Miscellaneous", null ]
    ] ],
    [ "GRASS Raster File Processing", "gislib.html#Raster_File_Processing", null ],
    [ "GRASS Vector File Processing", "gislib.html#Vector_File_Processing", null ],
    [ "General Plotting Routines", "gislib.html#General_Plotting_Routines", null ],
    [ "Temporary Files", "gislib.html#Temporary_Files", null ],
    [ "Command Line Parsing", "gislib.html#Command_Line_Parsing", [
      [ "Description", "gislib.html#Description", null ],
      [ "Structures", "gislib.html#Structures", null ],
      [ "Option structure", "gislib.html#Option_structure", null ],
      [ "Flag structure", "gislib.html#Flag_structure", null ],
      [ "Parser Routines", "gislib.html#Parser_Routines", null ],
      [ "Parser Programming Examples", "gislib.html#Parser_Programming_Examples", null ],
      [ "Step by Step Use of the Parser", "gislib.html#Step_by_Step_Use_of_the_Parser", null ]
    ] ],
    [ "Full Module Example", "gislib.html#Full_Module_Example", null ],
    [ "Compiling and Installing GRASS Modules", "gislib.html#Compiling_and_Installing_GRASS_Modules", [
      [ "Makefile Variables", "gislib.html#Makefile_Variables", null ],
      [ "Constructing a Makefile", "gislib.html#Constructing_a_Makefile", null ]
    ] ],
    [ "Multiple-Architecture Conventions", "gislib.html#Multiple_Architecture_Conventions", null ],
    [ "Full Structure Members Description", "gislib.html#Full_Structure_Members_Description", null ],
    [ "Complete Structure Members Table", "gislib.html#Complete_Structure_Members_Table", null ],
    [ "Description of Complex Structure Members", "gislib.html#Description_of_Complex_Structure_Members", [
      [ "Answer member of the Flag and Option structures", "gislib.html#Answer_member_of_the_Flag_and_Option_structures", null ],
      [ "Multiple and Answers Members", "gislib.html#Multiple_and_Answers_Members", null ],
      [ "key_desc Member", "gislib.html#key_desc_Member", null ],
      [ "gisprompt Member", "gislib.html#gisprompt_Member", null ],
      [ "Common Questions", "gislib.html#Common_Questions", null ]
    ] ],
    [ "String Manipulation Functions", "gislib.html#String_Manipulation_Functions", null ],
    [ "Enhanced UNIX Routines", "gislib.html#Enhanced_UNIX_Routines", [
      [ "in the Background Running in the Background", "gislib.html#Running", null ],
      [ "Partially Interruptible System Call", "gislib.html#Partially_Interruptible_System_Call", null ],
      [ "ENDIAN test", "gislib.html#ENDIAN_test", null ],
      [ "Unix Socket Functions", "gislib.html#Unix_Socket_Functions", null ],
      [ "Trivial Socket Server", "gislib.html#Trivial_Socket_Server_Example", null ]
    ] ],
    [ "GIS Library Data Structures", "gislib.html#GIS_Library_Data_Structures", [
      [ "struct Cell_head", "gislib.html#struct_Cell_head", null ],
      [ "struct Categories", "gislib.html#struct_Categories", null ],
      [ "struct Colors", "gislib.html#struct_Colors", null ],
      [ "struct History", "gislib.html#struct_History", null ],
      [ "struct Range", "gislib.html#struct_Range", null ]
    ] ],
    [ "Loading the GIS Library", "gislib.html#Loading_the_GIS_Library", null ],
    [ "Timestamp functions", "gislib.html#TimeStamp_functions", null ],
    [ "GRASS GIS Library Overview", "gislib.html#GRASS_GIS_Library_Overview", null ],
    [ "Raster File Processing", "gisrasterlib.html", [
      [ "GRASS Raster File Processing", "gisrasterlib.html#gisrastintro", [
        [ "Finding Raster Files", "gisrasterlib.html#Finding_Raster_Files_in_the_Database", null ]
      ] ],
      [ "Opening an Existing Raster File", "gisrasterlib.html#Opening_an_Existing_Raster_File", null ],
      [ "Creating and Opening New Raster Files", "gisrasterlib.html#Creating_and_Opening_New_Raster_Files", null ],
      [ "Allocating Raster I/O Buffers", "gisrasterlib.html#Allocating_Raster_I_O_Buffers", null ],
      [ "Reading Raster Files", "gisrasterlib.html#Reading_Raster_Files", [
        [ "Writing Raster Files", "gisrasterlib.html#Writing_Raster_Files", null ],
        [ "Closing Raster Files", "gisrasterlib.html#Closing_Raster_Files", null ]
      ] ],
      [ "Raster Map Layer Support Routines", "gisrasterlib.html#Raster_Map_Layer_Support_Routines", null ],
      [ "Raster Header File", "gisrasterlib.html#Raster_Header_File", null ],
      [ "Raster Category File", "gisrasterlib.html#Raster_Category_File", null ],
      [ "Reading and Writing the Raster Category File", "gisrasterlib.html#Reading_and_Writing_the_Raster_Category_File", null ],
      [ "Querying and Changing the Categories Structure", "gisrasterlib.html#Querying_and_Changing_the_Categories_Structure", null ],
      [ "Raster Color Table", "gisrasterlib.html#Raster_Color_Table", null ],
      [ "Reading and Writing the Raster Color File", "gisrasterlib.html#Reading_and_Writing_the_Raster_Color_File", null ],
      [ "Lookup Up Raster Colors", "gisrasterlib.html#Lookup_Up_Raster_Colors", null ],
      [ "Creating and/or Modifying the Color Table", "gisrasterlib.html#Creating_and_or_Modifying_the_Color_Table", null ],
      [ "Predefined Color Tables", "gisrasterlib.html#Predefined_Color_Tables", null ],
      [ "Raster History File", "gisrasterlib.html#Raster_History_File", null ],
      [ "Raster Range File", "gisrasterlib.html#Raster_Range_File", null ],
      [ "Raster Histograms", "gisrasterlib.html#Raster_Histograms", null ],
      [ "GRASS 5 raster API [needs to be merged", "gisrasterlib.html#GRASS_5_raster_API", [
        [ "The CELL Data Type", "gisrasterlib.html#The_CELL_Data_Type", null ],
        [ "NULL-value functions", "gisrasterlib.html#NULL_value_functions", null ],
        [ "Floating-point and type-independent functions", "gisrasterlib.html#Floating_point_and_type_independent_functions", null ]
      ] ],
      [ "Upgrades to Raster Functions  (comparing to GRASS 4.x)", "gisrasterlib.html#Upgrades_to_Raster_Functions", null ],
      [ "NULL (no data) handling", "gisrasterlib.html#Null_no_data", null ],
      [ "Color Functions (new and upgraded)", "gisrasterlib.html#Color_Functions", [
        [ "Upgraded Colors structures", "gisrasterlib.html#Upgraded_Colors_structures", null ]
      ] ],
      [ "New functions to support colors for floating-point", "gisrasterlib.html#New_functions_to_support_colors_for_floating_point", null ],
      [ "New functions to support a color for the NULL-value", "gisrasterlib.html#New_functions_to_support_a_colors_for_the_NULL_value", null ],
      [ "New functions to support a default color", "gisrasterlib.html#New_functions_to_support_a_default_color", null ],
      [ "New functions to support treating a raster layer as a color image", "gisrasterlib.html#New_functions_to_support_treating_a_raster_layer_as_a_color_image", null ],
      [ "Upgraded color functions", "gisrasterlib.html#Upgraded_color_functions", null ],
      [ "Changes to the <TT>Colors</TT> structure", "gisrasterlib.html#Changes_to_the_Colors_structure", null ],
      [ "Changes to the <TT>colr</TT> file", "gisrasterlib.html#Changes_to_the_colr_file", null ],
      [ "Range functions (new and upgraded)", "gisrasterlib.html#Range_functions", [
        [ "Modified range functions", "gisrasterlib.html#Modified_range_functions", null ]
      ] ],
      [ "New range functions", "gisrasterlib.html#New_range_functions", null ],
      [ "New and Upgraded Cell_stats functions", "gisrasterlib.html#New_and_Upgraded_Cell_stats_functions", null ],
      [ "New Quantization Functions", "gisrasterlib.html#New_Quantization_Functions", null ],
      [ "Categories Labeling Functions (new and upgraded)", "gisrasterlib.html#Categories_Labeling_Functions", [
        [ "Upgraded Categories structure", "gisrasterlib.html#Upgraded_Categories_structure", null ]
      ] ],
      [ "Changes to the <TT>cats</TT> file", "gisrasterlib.html#Changes_to_the_cats_file", null ],
      [ "New Functions to read/write access and modify Categories structure", "gisrasterlib.html#New_Functions_to_read_write_access_and_modify_Categories_structure", null ],
      [ "Library Functions that are Deprecated", "gisrasterlib.html#Library_Functions_that_are_Deprecated", null ],
      [ "Guidelines for upgrading GRASS 4.x Modules", "gisrasterlib.html#Guidelines_for_upgrading_GRASS_4_x_Modules", null ],
      [ "Important hints for upgrades to raster modules", "gisrasterlib.html#Important_hints_for_upgrades_to_raster_modules", null ]
    ] ],
    [ "Vector File Processing", "gisvectorlib.html", [
      [ "GRASS Vector File Processing", "gisvectorlib.html#gisvectintro", [
        [ "Prompting for Vector Files", "gisvectorlib.html#Prompting_for_Vector_Files", null ],
        [ "Finding Vector Files", "gisvectorlib.html#Finding_Vector_Files_in_the_Database", null ],
        [ "Opening an Existing Vector File", "gisvectorlib.html#Opening_an_Existing_Vector_File", null ]
      ] ],
      [ "Creating and Opening", "gisvectorlib.html#Creating_and_Opening_New_Vector_Files", [
        [ "Reading and Writing Vector Files", "gisvectorlib.html#Reading_and_Writing_Vector_Files", null ]
      ] ],
      [ "Vector Category File", "gisvectorlib.html#Vector_Category_File", null ]
    ] ]
];